Name:          libpopt
Epoch:         1
Version:       1.16
Release:       1mamba
Summary:       A command line option parsing library with some enhancements compared to getopt
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://rpm5.org
Source:        http://rpm5.org/files/popt/popt-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Obsoletes:     popt
Provides:      popt

%description
A command line option parsing library with some enhancements compared to getopt.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     popt-devel
Provides:      popt-devel

%description devel
A command line option parsing library with some enhancements compared to getopt.
This package contains static libraries and header files need for development.

%prep
%setup -q -n popt-%{version}
sed -i "s|/lib/pkgconfig|/%_lib/pkgconfig|" Makefile.in

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang popt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f popt.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man3/popt.3.gz
%doc CHANGES COPYING README

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/popt.pc

%changelog
* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Thu Mar 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-1mamba
- update to 1.15

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- package created by autospec
